Subject: Re: [ippm] Brian Haberman's Discuss on draft-ietf-ippm-ipsec-09: (with DISCUSS)

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 9 Jun 2015 09:08:52 -0500

So, just to follow up ...

On Fri, May 29, 2015 at 10:54 AM, Brian Haberman <[email-masked]>
wrote:

> All,
>
> On 5/29/15 11:49 AM, MORTON, ALFRED C (AL) wrote:
> > Hi Kostas,
> > see below...
> >
> >> -----Original Message-----
> >> From: Kostas Pentikousis [mailto:[email-masked]]
> >> Sent: Friday, May 29, 2015 10:38 AM
> > ...
> >> | The text in IPsec-09 should be updated to reflect the soon-to-be
> >> | existence of the registry.
> >>
> >> No have not done this in -10.
> >>
> >> I agree with Brian that "The functionality specified here seems quite
> >> applicable to OWAMP and requiring private agreements to use it seems
> >> sub-optimal." The issue with the OWAMP registry (or lack thereof) was
> >> discussed a few times in the WG, hence this paragraph was added:
> >>
> >>    Although the control procedures described in this document are
> >>    applicable to OWAMP per se, the lack of an established IANA registry
> >>    for OWAMP Mode values akin to that listed in Section 7 technically
> >>    prevents us from extending OWAMP Mode values.  Therefore, independent
> >>    OWAMP implementations SHOULD be checked for full compatibility with
> >>    respect to the use of this Mode value.  Until an IANA registry for
> >>    OWAMP Mode values is established, the use of this feature in OWAMP
> >>    implementations MUST be arranged privately among consenting OWAMP
> >>    users.
> >>
> >> I think it will also be suboptimal if this draft is blocked for several
> >> months till draft-morton-ippm-owamp-registry becomes an RFC. Perhaps an
> >> alternative path could be to keep the first sentence only, and then
> >> draft-morton-ippm-owamp-registry updates in a short section this
> >> (future) RFC by specifying the OWAMP Mode value we cannot technically
> >> extend.
> >>
> >
> > [ACM] I agree, we shouldn't hold-up the IPsec draft, but also observe
> > that draft-morton-ippm-owamp-registry-00 is almost 2 months old and might
> > have reached wg consensus by now if there was interest/support,
> especially
> > from IPsec draft authors :-)
> >
> > But that's water under the bridge. You seem to be finishing up IPsec on
> > your own, Kostas, and we all appreciate that. Let's get the registry
> > squared away next.
>
> Before we create what could be a weird set of relationships between
> documents, has anyone polled the WG on their interest in
> adopting/advancing Al's owamp-registry draft?
>
> It appears from the above comment that the WG hasn't been asked about
> its interest in it, at least formally.

I thought we had a path forward for this document by creating the
ippm-owamp-registry
draft and adding a normative dependency from this draft, but I'm not seeing
that the working group has been polled about whether that's what the
working group wants to do.

Could the chairs do that, and report back, so Kostas will know what to do
with the reference?

Or, if that isn't the plan, could you catch us up?

Thanks!

Spencer, as responsible AD.

> Regards,
> Brian